package com.inet.ailink.receiver.common.enums;

public enum StatusCode {
	SUCCESS("1","success"),
	FAIL("0","faile"),
	PARAM_EMPTY("9901","params is null"),
	DAO_ERROR("9902","数据库操作失败"),
	USER_NOT_EXIST("9903","用户不存在"),
	USER_PASSWORD_ERROR("9904","用户密码错误"),
	USER_EXIST("9905","用户已经存在"),
	PASSWORD_INCONSIST("9906","密码不一致"),
	VERIFY_CODE_ERROR("9907","验证码错误"),
	VERIFY_CODE_SEND_OUT_MAX_NUMBER("9908","验证码发送超过当天最大次数"),
	VERIFY_CODE_NOT_EXIST("9909","不存在可用的验证码"),
	PARAM_UNDEFINE("9910","参数未定义"),
	PARAM_ERROR_REGION_PUT("9911","解析区域投放参数错误"),
	
	PARAM_INVALID("9912","params is invalid"),
	USER_NO_PERMISSIONS("9913","用户无权限"),
	DEVICE_NOT_EXIST("9914","设备不存在"),
	COMPANY_NOT_EXIST("9915","参数缺少APPId"),

	NOT_PERMISSIONS("9916","没有权限"),
	IN_USE("9917","使用中，不能删除"),
	CANT_MODIFY("9929","操作冲突，刷新重试"),
	
	PARAM_CHECK_ERROR("9995","参数检查错误"),	
	USER_UNLOGIN("9997","用户未登录"),
	QUERY_EMPTY("9998","查询结果为空"),
	FILE_TOO_BIG("9920","图片文件不能超过10M，视频文件不能超过30M"),
	DAO_UPDATE_COUNT_ZERO_EXCEPTION("9921","更新失败"),
	ACCOUNT_MEMBER_UPDATE_FAIL("9922","账户修改失败"),
	UNKNOW("9999","未知异常"),
	APP_ID_EMPTY("9923","appID数据为空"),
	APP_TOKEN_EMPTY("9924","登录标识为空"),
	ACCOUNT_ID_EMPTY("9925","UUID为空"),
	ACCOUNT_SIGNATURE_EMPTY("9926","签名为空"),
	ACCOUNT_SIGNATURE_ERROR("9927","签名错误"),
	
	APP_EMPTY("6001","app不存在"),
	APP_DELSTATUS("6002","app已经不存在"),
	APP_STATUS("6003","app状态不正常"),
	
	PARAMS_JSON_ERROR("2","参数不是json格式"),
	PARAMS_JSON_KEY_ERROR("3","参数关键key错误"),
	PARAMS_dECRYPT_ERROR("4","参数解密失败"),
	PARAMS_EMPTY("5","关键参数为空"),
	DEVICE_OTA_NO_NEW("6","没有更新版本的升级包"),
	DEVICE_SERVER_URL_NO_SET("7","该类型的设备未设置服务器url"),
	DEVICE_NOT_EXIT("8","设备不存在"),
	;
	
	private String code="";
	private String msg="";
	
	
	StatusCode(String code, String msg){
		this.code=code;
		this.msg=msg;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	
	public static StatusCode getByCode(String param){
		for(StatusCode thisCode: StatusCode.values()){
			if(thisCode.code.equals(param)){
				return thisCode;
			}
		}
		return null;
	}
	}