package com.inet.ailink.receiver.common.exception;

import com.inet.ailink.receiver.common.enums.StatusCode;

public class BizException extends Exception {
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -4155383900948675082L;
	
	private String code="9999";
	private String msg="";
	private String[] params;
	private Object data;
	
	public BizException() {
		super();
	}
	public BizException(StatusCode statusCode) {
		super();
		code=statusCode.getCode();
		msg=statusCode.getMsg();
	}

	public BizException(StatusCode statusCode, Object data) {
		super();
		code=statusCode.getCode();
		msg=statusCode.getMsg();
		this.data = data;
	}
	
	public BizException(String code) {
		this.code = code;
	}
	public BizException(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}
	public BizException(Throwable cause) {
		super(cause);
	}

	public BizException(String code, Throwable exception) {
		super(exception);
		this.code = code;
	}
	public BizException(String code, String msg, Throwable exception) {
		super(msg, exception);
		this.code = code;
	}
	public BizException(String code, String[] params) {
		super();
		this.code = code;
		this.params = params;
	}
	public BizException(String code, String[] params, Throwable exception) {
		super(exception);
		this.code = code;
		this.params = params;
	}

	public String getCode() {
		return this.code;
	}

	public String[] getParams() {
		return params;
	}
	@Override
	public String toString() {
		String s = getClass().getName();
        return s + ": " + code + " params:"+params;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public Object getData() {
		return data;
	}
	public void setData(Object data) {
		this.data = data;
	}
	
}
