 package com.inet.ailink.receiver.controller;


 import com.inet.ailink.receiver.service.impl.SysAccoountServiceImpl;
 import com.inet.ailink.receiver.service.impl.SysDeviceInfoServiceImpl;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.RequestBody;
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.ResponseBody;
 import org.springframework.web.bind.annotation.RestController;

 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import java.io.IOException;

 @RestController
 //@RequestMapping(value="devivce",produces={"application/json;charset=UTF-8"})
 @RequestMapping(value="devivce")
 public class DeviceController extends BaseController {

     @Autowired
     private SysDeviceInfoServiceImpl sysDeviceInfoServiceImpl;

     @Autowired
     private SysAccoountServiceImpl sysAccoountServiceImpl;


     /**
      * 设备注册
      * @param params
      * @param request
      * @param response
      * @throws IOException
      */
     @RequestMapping(value="register")
     @ResponseBody
     public void register(@RequestBody String params, HttpServletRequest request, HttpServletResponse response) throws IOException {
         checkParams(response, params);
 //		System.out.println("devivce/register() params: " + params);
         byte[] paramsByte = decryptParams(response,params);
         if(paramsByte.length >1){
             writeOutResponse(response, sysDeviceInfoServiceImpl.register(paramsByte, request));
         }else{
             writeOutResponse(response,paramsByte);
         }
     }

     /*
    * 注意：接口返回的数据格式必须如下，status在前，data在后，必须都带双引号的字符串；如调换字段属性，则设备无法解析返回的数据
    {
    "status": "1",
    "data": "QZ9Tceq4fWY="
    }
     * */



     /**
      * 获取设备绑定的用户
      * @param params
      * @param request
      * @param response
      * @throws IOException
      */
     @RequestMapping(value="getUsers")
     @ResponseBody
     public void getUsers(@RequestBody String params, HttpServletRequest request, HttpServletResponse response) throws IOException {
         checkParams(response, params);
         byte[] paramsByte = decryptParams(response,params);
         if(paramsByte.length >1){
             writeOutResponseNoEncrypt(response, sysAccoountServiceImpl.getUsersByDeviceId(paramsByte, request));
         }else{
             writeOutResponse(response,paramsByte);
         }
     }

          /*
    注意：接口返回的数据格式必须如下，status在前，data在后，带双引号和不带双引号的要看清；如调换字段属性，则设备无法解析返回的数据；
    这个接口不加密，和另外2个接口返回的数据经过TEA加解密不同
    {
    "status": "1",
    "data": [
        [
            1024,    //绑定wifi秤的用户id
            1,       //性别：0：女；1：男
            25,      //年龄
            "170",    //身高
            "0",      //身高单位；0:cm；1：inch；2:ft-in
            "0",       //体重单位；0:kg；1：斤；4:st:lb；6:lb
            0,         //用户类型：0：普通人；1：业余运动员；2：专业运动员；3：孕妇
            "67.70"    //绑定wifi秤的用户的最新的体重
        ]
    ]
    }
     * */

 }